This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 510673 - Option -nomodeset- ignored by kernel 2.6.31-0.62.rc2.git4.fc12
Option -nomodeset- ignored by kernel 2.6.31-0.62.rc2.git4.fc12
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-07-10 04:36 EDT by Joachim Frieben
Modified: 2009-08-25 21:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 21:01:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2009-07-10 04:36:57 EDT
Description of problem:
After a fresh install from the "rawhide" tree, kernel option "nomodeset" has no effect. Xorg.0.log reports

    "(II) RADEON(0): [DRI2] Setup complete"

which should not be the case. The issue became apparent when adding an additional "vga=0x345" led to a black screen with only an active mouse pointer visible on top of it instead of the GDM login screen at the end of the boot procedure. This option used to enable a graphical boot screen at 1400 x 1050 px for previous releases of Fedora.

Version-Release number of selected component (if applicable):
kernel-2.6.31-0.62.rc2.git4.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot system with kernel options ".. rhgb quiet nomodeset"
  
Actual results:
Screen remains black during the boot procedure. Only at the end, a mouse pointer appears on the screen.

Expected results:
Graphical boot screen appears, and GDM panel is available after boot-up is completed.

Additional info:
Works for current F11 w/updates including kernel 2.6.29.6-213.fc11.
Comment 1 Joachim Frieben 2009-07-24 02:58:07 EDT
Option "radeon.modeset=0" works correctly though. Also see https://bugzilla.redhat.com/show_bug.cgi?id=512757#c8 on this matter.
Comment 2 James Laska 2009-08-21 08:37:35 EDT
Drafted Common F12 Bug entry for this issue at https://fedoraproject.org/wiki/Common_F12_bugs#alpha-nomodeset-ignore.  That entry should be updated when this issue has been resolved.

Thanks!
Comment 3 Dave Airlie 2009-08-25 21:01:26 EDT
this should be fixed now at least for radeon. it was fixed just after the alpha, but the kernel never got pulled in.

Note You need to log in before you can comment on or make changes to this bug.